@font-face {
    font-family: 'Sombra';
    src: url(fonts/FontsFree-Net-Sombra-Black.ttf);
}

$green:              #297045;
$beige:              #ECBA82;
$black:              #000000;
$white:              #FFFFFF; 
$brown:              #381c0e;
$font:               Sombra;
$ld-font-size:       220px;
$rd-font-size:       110px;
$rd-font-size-child: 70px;
$main-title-size:    130px;
$project-card-br: 10px;

body {
    width: 100vw;
    min-height: 100vh;
    background: darken($white, 5);
    overflow-x: hidden;
    overflow-y: hidden;

    display: flex;
    flex-wrap: wrap;
    font-family: $font;
    justify-content: center;
    scroll-behavior: smooth;
}

#main-title {
    display: flex;
    justify-content:center;
    font-size: $main-title-size;
    color: lighten($green, 10);
    border-bottom: 2px solid $green;
    margin-top: $main-title-size;
    height: $main-title-size + 30px;
    width: 58.5%;
}

.filter-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    font-size:$main-title-size/4;
    width: 58.5%;
    height: auto;
    /*background: blue;*/
    gap: 30%;

    .filter-select {
        width: 100%;
        display: flex;
        justify-content: space-around;
        gap: 30px;
        background: lighten($green, 30);

        p {
            cursor: pointer;
            transition: 200ms ease-in-out;
    
            &:hover {
                transform: scale(1.1);
            }
        }
    }

}

.filtrer-box {
    width: 100%;
    display: none;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: space-around;
    margin-top: 50px;
    
    div {
        background: $beige;
        padding: 10px 20px 10px 20px;
        border-radius: 10px;
        font-size: 16px;
    }
}

.trier-box {
    width: 100%;
    display: none;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
    margin-top: 50px;

    div {
        background: $beige;
        padding: 10px 20px 10px 20px;
        border-radius: 10px;
        font-size: 16px;
    }
}

.filtrer-box-toggle {
    @extend .filtrer-box;
    display: flex;
    animation: 1s ouverture ease-in-out;
    opacity: 0;
    animation-fill-mode: forwards;
    justify-content: center;
}

.trier-box-toggle {
    @extend .trier-box;
    display: flex;
    animation: 1s ouverture ease-in-out;
    opacity: 0;
    animation-fill-mode: forwards;
}

@keyframes ouverture {
    0%{}
    100%{opacity: 1;}
}

.project-list {
    width: 70%;
    /*background: red;*/
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;

    .project-card {
        margin-top: 50px;
        width: 40%;
        height: 300px;
        background: yellow;
        border-radius: $project-card-br;
        display: flex;
        flex-direction: column;
        align-items: center;
        perspective: 1px;
        overflow: hidden;
        

            .project-image{
                width: 100%;
                height: 70%;
                display: flex;
                justify-content:center;
                align-items: center;
                background: lighten($beige, 10);
            }

            .project-info{
                width: 100%;
                height: 30%;
                display: flex;
                flex-direction: column;
                justify-content: space-around;
                align-items: center;
                color: $white;
                background: lighten($green, 10);
            }
    }
}

#top-button {
    display: none; /* Hidden by default */
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    right: 30px; /* Place the button 30px from the right */
    z-index: 99; /* Make sure it does not overlap */
    border: none; /* Remove borders */
    outline: none; /* Remove outline */
    background-color: red; /* Set a background color */
    color: white; /* Text color */
    cursor: pointer; /* Add a mouse pointer on hover */
    padding: 15px; /* Some padding */
    border-radius: 10px; /* Rounded corners */
    font-size: 18px; /* Increase font size */

    &:hover {
        background-color: #555; /* Add a dark-grey background on hover */
    }
}